package com.yonge.cooleshow.biz.dal.dto.search;

import com.yonge.cooleshow.biz.dal.enums.ClientEnum;
import com.yonge.toolset.base.page.QueryInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

/**
 * @Author: liweifan
 * @Data: 2022-11-08 15:37:44
 */
@ApiModel(value = "ReturnVisitSearch对象", description = "回访表查询对象")
public class ReturnVisitSearch extends QueryInfo{
	private static final long serialVersionUID = 1L;

	@ApiModelProperty("用户id")
	private Long userId;

	@ApiModelProperty("用户类型  STUDENT  TEACHER")
	private ClientEnum clientType;

	@ApiModelProperty("回访用户名")
	private String username;

	@ApiModelProperty("回访标题")
	private String title;

	@ApiModelProperty("回访开始时间")
	private Date startTime;

	@ApiModelProperty("回访结束时间")
	private Date endTime;

	public Date getStartTime() {
		return startTime;
	}

	public void setStartTime(Date startTime) {
		this.startTime = startTime;
	}

	public Date getEndTime() {
		return endTime;
	}

	public void setEndTime(Date endTime) {
		this.endTime = endTime;
	}

	public Long getUserId() {
		return userId;
	}

	public void setUserId(Long userId) {
		this.userId = userId;
	}

	public ClientEnum getClientType() {
		return clientType;
	}

	public void setClientType(ClientEnum clientType) {
		this.clientType = clientType;
	}

	public String getUsername() {
		return username;
	}

	public void setUsername(String username) {
		this.username = username;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}
}